﻿using Stimulsoft.Base.Drawing;
using Stimulsoft.Report.Components;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Merkur.Reports
{
    internal class MDOWIPage1 : StiPage
    {
        private MDOWIHeaderDto mHeader;

        public MDOWIPage1(MotionDivestitureOfWelthInformationReport report, MDOWIHeaderDto header)
        {
            mHeader = header;

            Components.Clear();

            Border = new StiBorder(StiBorderSides.None, Color.Black, 2, StiPenStyle.Solid, false, 4, new StiSolidBrush(Color.Black), false);
            Brush = new StiSolidBrush(Color.Transparent);
            Margins = new StiMargins(0, 0, 0, 0);
            PageHeight = 29.7;
            PageWidth = 21;
            Report = report;

            InitComponents();
        }

        private void InitComponents()
        {
            InitHeader();
        }

        private void InitHeader()
        {
            Components.AddRange(new HeaderModule(this, mHeader).GetComponents());
        }
    }
}
