﻿using Stimulsoft.Report;
using Stimulsoft.Report.Components;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Merkur.Reports
{
    internal class EmptyHorizontalPage : StiPage
    {
        public EmptyHorizontalPage(StiReport report)
        {
            PageHeight = 29.7;
            PageWidth = 21;
            PaperSize = System.Drawing.Printing.PaperKind.A4;
            Border = new Stimulsoft.Base.Drawing.StiBorder(Stimulsoft.Base.Drawing.StiBorderSides.None, System.Drawing.Color.Black, 2, Stimulsoft.Base.Drawing.StiPenStyle.Solid, false, 4, new Stimulsoft.Base.Drawing.StiSolidBrush(System.Drawing.Color.Black), false);
            Brush = new Stimulsoft.Base.Drawing.StiSolidBrush(System.Drawing.Color.Transparent);
            ExcelSheetValue = null;
            Interaction = null;
            Margins = new Stimulsoft.Report.Components.StiMargins(0.5, 2, 0.5, 0.5);
            Report = report;
        }
    }
}
